LIBJXL

Loading...
Searching...
No Matches
Classes | Typedefs
memory_manager.h File Reference
JPEG XL library (libjxl) » Common API concepts

Abstraction functions used by JPEG XL to allocate memory. More...

`#include <stddef.h>`
Include dependency graph for memory_manager.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
struct | JxlMemoryManagerStruct

## Typedefs
typedef void *(* | jpegxl_alloc_func) (void *opaque, size_t size)
typedef void(* | jpegxl_free_func) (void *opaque, void *address)
typedef struct JxlMemoryManagerStruct | JxlMemoryManager

## Detailed Description

Abstraction functions used by JPEG XL to allocate memory.